> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockops.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get webhook verification public key

> Returns the base64-encoded Ed25519 public key used by integrators to verify signed Blockops webhook payloads.




## OpenAPI

````yaml /api-reference/openapi.yaml get /api/v1/workspaces/{workspace_id}/webhook-verification-key
openapi: 3.0.3
info:
  title: Blockops Wallet API
  version: 0.1.0
  description: >
    The Blockops Wallet API: create MPC wallets, attach assets and read deposit
    addresses and balances, request withdrawals and signing, and manage webhooks
    and API keys.
servers:
  - url: https://wallet-sandbox.blockops.network
security:
  - AccessApiKey: []
    AccessTimestamp: []
    AccessSign: []
tags:
  - name: catalog
  - name: wallets
  - name: balances
  - name: withdrawals
  - name: transactions
  - name: signing
  - name: webhooks
  - name: api-keys
  - name: audit
  - name: observability
paths:
  /api/v1/workspaces/{workspace_id}/webhook-verification-key:
    get:
      tags:
        - webhooks
      summary: Get webhook verification public key
      description: >
        Returns the base64-encoded Ed25519 public key used by integrators to
        verify signed Blockops webhook payloads.
      parameters:
        - $ref: '#/components/parameters/WorkspaceID'
      responses:
        '200':
          description: Webhook verification public key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookVerificationKeyEnvelope'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '503':
          $ref: '#/components/responses/RouteUnavailable'
components:
  parameters:
    WorkspaceID:
      name: workspace_id
      in: path
      required: true
      schema:
        type: string
  schemas:
    WebhookVerificationKeyEnvelope:
      allOf:
        - $ref: '#/components/schemas/EnvelopeBase'
        - type: object
          required:
            - data
          properties:
            data:
              $ref: '#/components/schemas/WebhookVerificationKey'
    EnvelopeBase:
      type: object
      required:
        - success
        - message
        - code
      properties:
        success:
          type: boolean
        message:
          type: string
          example: success
        code:
          oneOf:
            - type: integer
            - type: string
          example: 0
    WebhookVerificationKey:
      type: object
      required:
        - public_key
      properties:
        public_key:
          type: string
          description: Base64-encoded Ed25519 public key.
    ErrorEnvelope:
      allOf:
        - $ref: '#/components/schemas/EnvelopeBase'
        - type: object
          required:
            - data
          properties:
            success:
              type: boolean
              example: false
            data:
              nullable: true
  responses:
    Unauthorized:
      description: Authentication failed.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
          example:
            success: false
            message: invalid api signature
            code: unauthorized
            data: null
    RouteUnavailable:
      description: Route disabled, upstream missing, or dependency unavailable.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
  securitySchemes:
    AccessApiKey:
      type: apiKey
      in: header
      name: ACCESS-API-KEY
      description: HMAC API-key identifier.
    AccessTimestamp:
      type: apiKey
      in: header
      name: ACCESS-TIMESTAMP
      description: Unix timestamp in seconds.
    AccessSign:
      type: apiKey
      in: header
      name: ACCESS-SIGN
      description: Base64-encoded hex HMAC signature.

````